import React from 'react'
import { Form } from 'react-bootstrap'

function CustomInput({ className,...props }) {
    return (
        <Form.Group className={className}>
        <Form.Label>
            {props.label}
        </Form.Label>
        <Form.Control
            name={props.name}
            type={props.type}
            min={props.type === 'number' ? '1' : null}
            placeholder={props.placeholder}
            defaultValue={props.defaultValue}
            onChange={props.onChange}
            {...props}
        />
      </Form.Group>
       
    )
}

export default CustomInput
