'use client'
import React from 'react';
import { styled } from '@mui/material/styles';
import { Box } from '@mui/material';
const drawerWidth = 240;
const MainWrapper = styled('main', { shouldForwardProp: (prop) => prop !== 'open' })(
  ({ theme, open }) => ({
    flexGrow: 1,
    padding: theme.spacing(3),
    transition: theme.transitions.create('margin', {
      easing: theme.transitions.easing.sharp,
      duration: theme.transitions.duration.leavingScreen,
    }),
    marginRight: 0,
    ...(open && {
      transition: theme.transitions.create('margin', {
        easing: theme.transitions.easing.easeOut,
        duration: theme.transitions.duration.enteringScreen,
      }),
      marginRight: '240px',
    }),
    position: 'relative',
    marginTop: '80px'
  })
);

const Main = ({ open, children }) => {
  return (
    <MainWrapper open={open} >
      <Box sx={{ flexGrow: 1 }}>{children}</Box>
    </MainWrapper>
  );
};

export default Main;
