'use client';
import { Pagination } from "react-bootstrap";

function PaginationCustom({ pagination = { pageIndex: 1, total_pages: 1 } }) {
  const { pageIndex, total_pages } = pagination;

  if (!total_pages || total_pages === 1) {
    return null; // لا تظهر البيجينيشن إذا كان هناك صفحة واحدة فقط أو لا توجد بيانات
  }

  const items = [];
  items.push(
    <Pagination.Prev key="prev" disabled={pageIndex === 1} onClick={() => handlePageChange(pageIndex - 1)} />
  );

  // إضافة الصفحات
  for (let number = 1; number <= total_pages; number++) {
    items.push(
      <Pagination.Item key={number} active={number === pageIndex} onClick={() => handlePageChange(number)}>
        {number}
      </Pagination.Item>
    );
  }

  items.push(
    <Pagination.Next key="next" disabled={pageIndex === total_pages} onClick={() => handlePageChange(pageIndex + 1)} />
  );

  return (
    <Pagination>{items}</Pagination>
  );
}

export default PaginationCustom;
