import Table from 'react-bootstrap/Table';
import PaginationCustom from './PaginationCustom';
import icon7 from '@/public/assets/images/icon-7.svg'
import icon6 from '@/public/assets/images/icon-6.svg'
import Image from 'next/image';
import { FiSearch } from "react-icons/fi";

function TableCustom({ thead, tbody,pagination, ...props }) {
  return (
    <div className='table-warpper'>
      <div className="filters d-flex align-items-center mb-3">
        <div className="form-group flex-grow-1">
          <input type="text" name='search' placeholder='البحث' className='form-control w-25' />
          <i>
          <FiSearch />
          </i>
        </div>
      </div>
      <div className='custom-table'>
        <Table>
          <thead>
            {thead}
          </thead>
          <tbody>
            {tbody}
          </tbody>
        </Table>
      </div>
      <PaginationCustom pagination={pagination} />
    </div>
  );
}

export default TableCustom;