'use client';
import { fetchData } from "@/pages/api/api";
import CustomCheck from "@/components/CustomCheck";
import CustomInput from "@/components/CustomInput";
import Sidebar from "@/components/Sidebar";
import { useEffect, useState } from "react";
import { Button } from "react-bootstrap";
import withAuth from "@/utils/withAuth";

 function Profile() {
    const [formData, setFormData] = useState({
        name: '',
        email: '',
        status: '',
        role: '',
        role_id: '',
        permissions: [],
    })

    // Load the data from the server
    const loadData = async () => {
        try {
            const res = await fetchData('profile', 'GET', null, 'ar')
            console.log('res', res);
            setFormData(res.data.result.admin)
        } catch (error) {

        }
    }
    useEffect(() => { loadData() }, [])
    console.log('formData', formData);
    // Handle the submit
    const handleSubmit = async (e) => {
        e.preventDefault()
        console.log(formData)
    }

    return (
        <Sidebar>
            <div className="page-wrapper
        ">

                <div className="head-section d-flex align-items-center justify-content-between mb-2">
                    <h2>
                        الملف الشخصي
                    </h2>
                </div>
                <form action="#"
                    onSubmit={handleSubmit}
                >
                    <div className="d-flex align-items-center justify-content-between mb-4 flex-lg-nowrap flex-wrap gap-3">
                        <CustomInput
                            label='الأسم'
                            type='text'
                            className={'flex-grow-1'}
                            disabled
                            name='name'
                            value={formData.name}
                            onChange={(e) => setFormData({ ...formData, name: e.target.value })}
                        />
                        <CustomInput
                            label='البريد الإلكتروني'
                            type='email'
                            name='email'
                            className={'flex-grow-1'}
                            disabled
                            value={formData.email}
                            onChange={(e) => setFormData({ ...formData, email: e.target.value })}
                        />
                        <CustomInput
                            label='الحالة'
                            type='text'
                            name='status'
                            className={'flex-grow-1'}
                            disabled
                            value={formData.status === 1 ? 'مفعل' : 'غير مفعل'}
                            onChange={(e) => setFormData({ ...formData, status: e.target.value })}
                        />
                        <CustomInput
                            label='الوظيفة'
                            type='text'
                            name='role'
                            className={'flex-grow-1'}
                            disabled
                            value={formData.role}
                            onChange={(e) => setFormData({ ...formData, role: e.target.value })}
                        />
                        <CustomInput
                            label='الرقم التعريفي'
                            type='text'
                            name='role_id'
                            className={'flex-grow-1'}
                            disabled
                            value={formData.role_id}
                            onChange={(e) => setFormData({ ...formData, role_id: e.target.value })}
                        />
                    </div>
                    <div className="d-flex align-items-center justify-content-between mb-4 flex-lg-nowrap flex-wrap gap-3">

                        {
                            formData.permissions.map((permission, index) => (
                                <CustomCheck
                                    key={index}
                                    label={
                                        permission
                                    }
                                    name={permission}
                                    checked={
                                        permission !== null ? permission : false
                                    }
                                    disabled
                                    onChange={(e) =>
                                        setFormData({
                                            ...formData,
                                            permissions: formData.permissions.map((perm) => {
                                                if (perm === permission) {
                                                    return e.target.checked
                                                }
                                                return perm
                                            })
                                        })
                                    }
                                />
                            ))

                        }
                    </div>
                    {/* <button
                    type='submit'
                    className="btn btn-primary"
                    
                >
                    حفظ
                </button> */}
                </form>


            </div>
        </Sidebar>
    );
}

export default withAuth(Profile);