import { createContext, useState, useContext } from 'react';

// إنشاء الـ Context
const UserContext = createContext();

// إنشاء Provider
export const UserProvider = ({ children }) => {
    const [user, setUser] = useState(null); // يمكن أن يحتوي على ملف التعريف والصلاحيات

    return (
        <UserContext.Provider value={{ user, setUser }}>
            {children}
        </UserContext.Provider>
    );
};

// هوك لاستخدام الـ Context بسهولة
export const useUser = () => useContext(UserContext);
